> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach a vehicle

Detaches a vehicle from a driver or fleet. Provide either `driver` or `fleet` in the request body.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/vehicles/veh_0FwlvKfDiZ7hsXLUEtgG43jQXPwD9puR/detach \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "driver": "drv_Hrf5ZmpMxoh0ZEJWYK7LzcAZIhJEP4Ii"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "veh_0FwlvKfDiZ7hsXLUEtgG43jQXPwD9puR",
      "object": "vehicle",
      "battery_capacity": 82000,
      "charging_standard": "CCS",
      "created": "2026-04-01T00:27:39.053Z",
      "drivers": [],
      "fleet": "flt_zmAvInlAdg9AfFMiqxUVoNAFHS5qdN3v",
      "information": {
          "make": "Volvo",
          "model": "EX30",
          "year": "2025"
      },
      "metadata": {},
      "policy_ids": ["pol_O8gCUQ9esm51jZZXbCbAJGr7Q9xE6RkK"],
      "registration_plate": "AB-123-CD",
      "status": "active",
      "telemetry": "vtel_ZL5z0Cm6jPDley7riLoCCd8ebA8HSA2X",
      "updated": "2026-04-01T01:12:50.363Z",
      "vin": "YV1XZK5V0S1234567"
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="driver" type="string">
  Driver to use for this request.
</ParamField>

<ParamField body="fleet" type="string">
  Fleet to use for this request.
</ParamField>

## Returns

Returns the vehicle.
